Applications
Create virtual cart
POST
/ecommerce/application/create/cartCreates an application for a cart your sales team builds on the customer's behalf, for example a phone or in-store sale. The response has the same shape as Create order.
Field names differ from Create order: customer fields use the personal prefix,
address fields use the residence prefix, and the success URL is redirectUrl.
Authorization
bearerAuth AuthorizationBearer <token>
Access token from Get an access token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/ecommerce/application/create/cart" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "orderId": "100046", "personalFirstName": "Jordan", "personalLastName": "Rivera", "personalEmail": "jordan.rivera@example.com", "personalCellPhone": "7045550123", "residenceStreetName": "123 Main St", "residenceCity": "Charlotte", "residenceState": "NC", "residenceZip": "28202", "loanAmount": 1500, "taxes": 0, "shipping": 0, "redirectUrl": "https://yourstore.com/checkout/paytomorrow/success", "cancelUrl": "https://yourstore.com/checkout/paytomorrow/cancel", "notifyUrl": "https://yourstore.com/webhooks/paytomorrow", "items": [ { "description": "Sectional sofa", "brand": "Acme Home", "model": "Harbor", "price": 500, "quantity": 3 } ] }'{ "url": "https://api-staging.paytomorrow.com/api/app/consumer/verify/8b1e4c7d2f6a4b9e9c3d5a7f1e2b8c40", "token": "8b1e4c7d2f6a4b9e9c3d5a7f1e2b8c40"}